from api_graphql.abc.input_abc import InputABC


class GroupUpdateInput(InputABC):

    def __init__(self, src: dict):
        InputABC.__init__(self, src)

        self._id = self.option("id", int, required=True)
        self._name = self.option("name", str)
        self._roles = self.option("roles", list[int])

    @property
    def id(self) -> int:
        return self._id

    @property
    def name(self) -> str:
        return self._name

    @property
    def roles(self) -> list[int]:
        return self._roles
